<?php
/**
 * Author: ykxiao
 * Date: 2025/6/4
 * Time: 下午2:52
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Controller;

use App\JsonRpc\UserAuthServiceInterface;
use App\Request\RoleRequest;
use Hyperf\Di\Annotation\Inject;
use Hyperf\HttpMessage\Server\Response;
use Hyperf\Validation\Annotation\Scene;

class RoleController extends AbstractController
{
    #[Inject]
    protected UserAuthServiceInterface $userAuthServiceInterface;

    /**
     * 添加角色.
     * @param RoleRequest $request
     * @return Response
     */
    #[Scene(scene: 'addRole', argument: 'request')]
    public function addRole(RoleRequest $request): Response
    {
        $params = $request->all();

        $data = [
            'companyInfo' => $this->company(),
            'id' => $params['id'] ?? null,
            'role_name' => $params['role_name'],
            'active_status' => $params['active_status'],
            'sort' => $params['sort'],
        ];
        // 添加角色.
        $this->userAuthServiceInterface->addRole($data);

        return $this->apiResponse->success();
    }
}