<?php
/**
 * Author: ykxiao
 * Date: 2025/6/3
 * Time: 下午8:35
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\JsonRpc;

interface UserAuthServiceInterface
{
    /**
     * 用户登录
     * @param array $data
     * @return array
     */
    public function userLogin(array $data): array;

    /**
     * 新增用户.
     */
    public function addUser(array $data): void;

    /**
     * 获取用户信息
     * @param array $data
     * @return array
     */
    public function userInfoByToken(array $data): array;

    /**
     * 添加角色.
     * @param array $data
     * @return void
     */
    public function addRole(array $data): void;

    /**
     * 获取用户列表.
     * @param array $data
     * @return array
     */
    public function userList(array $data): array;
}