<?php
/**
 * Author: ykxiao
 * Date: 2025/7/5
 * Time: 上午10:18
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

#########################################################################################################
### 'cancels_recursion' => true, 递归取消，当有下级隐藏域存在时，取消递归，前端标识
### 'affix' => true, 字体选中标识，默认为false，选中时请设置为true
#########################################################################################################

return [
    'menu' => [
        [
            'name' => 'home',
            'path' => '/home',
            'meta' => [
                'title' => '首页',
                'code' => 'permission_home',
                'icon' => 'sc-icon-home',
                'type' => 'menu',
            ],
            'actions' => ['sysHome'],
            'children' => [
                [
                    'name' => 'dashboard',
                    'path' => '/dashboard',
                    'meta' => [
                        'title' => '数据统计',
                        'code' => 'permission_controller',
                        'icon' => 'sc-icon-controller',
                        'affix' => true,
                    ],
                    'actions' => ['sysMenu'],
                    'component' => 'home',
                ], [
                    'name' => 'userCenter',
                    'path' => '/user/center',
                    'meta' => [
                        'title' => '个人中心',
                        'code' => 'permission_account_info',
                        'icon' => 'sc-icon-account-info',
                    ],
                    'actions' => ['updateMe', 'bindMobile'],
                    'component' => 'userCenter',
                ],
            ],
        ],
        [
            'name' => 'purchase',
            'path' => '/purchase',
            'meta' => [
                'title' => '提货',
                'code' => 'permission_purchase',
                'icon' => 'sc-icon-order',
                'type' => 'menu',
            ],
            'actions' => [],
            'children' => [
                [
                    'name' => 'purchaseOrder',
                    'path' => '/purchase/order',
                    'meta' => [
                        'title' => '提货单据',
                        'code' => 'permission_purchase_order',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'purchaseIn',
                            'path' => '/purchase/order/purchase_in',
                            'meta' => [
                                'title' => '自建提货单',
                                'code' => 'permission_purchase_order_purchase_in',
                                'icon' => 'sc-icon-data-confirm',
                            ],
                            'actions' => ['flowLineForPurchaseInbound', 'purchaseOrderContractDetail', 'listOrderByOrderType'],
                            'component' => 'purchase/order/purchase_in',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'name' => 'purchaseContractUrl',
                                    'path' => '/purchase/order/purchase_in/contract_url',
                                    'meta' => [
                                        'title' => '提货明细',
                                        'code' => 'permission_purchase_order_purchase_in_contract_url',
                                        'icon' => 'sc-icon-data-confirm',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_contract_url'],
                                    'component' => 'purchase/order/purchase_in/contract_url',
                                    'children' => [],
                                ]
                            ],
                        ],
                    ],
                ],
                [
                    'name' => 'orderQuery',
                    'path' => '/purchase/purchase/order_query',
                    'meta' => [
                        'title' => '单据列表',
                        'code' => 'permission_purchase_order_query',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => ['permission_purchase_order_query_purchase_in'
                        , 'detailDeliveryOrder', 'deliveryOrderSearchBar', 'listPurchaseOrderContract'],
                    'children' => [
                        [
                            'name' => 'purchaseOrderQuery',
                            'path' => '/purchase/order_query/purchase',
                            'meta' => [
                                'title' => '待审核提货单',
                                'code' => 'permission_purchase_order_query_purchase',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['getLaseReviewRecord', 'listContractSearchBar'],
                            'component' => 'purchase/order_query/purchaseForm',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseListForm',
                            'path' => '/purchase/order_query/list',
                            'meta' => [
                                'title' => '司机端车辆状态',
                                'code' => 'permission_purchase_order_query_list',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['orderStatisticsSearchBar'],
                            'component' => 'purchase/order_query/list',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseStatisticsForm',
                            'path' => '/purchase/order_query/statistics',
                            'meta' => [
                                'title' => '现场装车',
                                'code' => 'permission_purchase_order_query_statistics',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['purchaseOrderGoodsStatisticsListSearchBar'],
                            'component' => 'purchase/order_query/statistics',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseStatisticsForm',
                            'path' => '/purchase/order_query/statistics',
                            'meta' => [
                                'title' => '放行状态',
                                'code' => 'permission_purchase_order_query_statistics',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['purchaseOrderGoodsStatisticsListSearchBar'],
                            'component' => 'purchase/order_query/statistics',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseStatisticsForm',
                            'path' => '/purchase/order_query/statistics',
                            'meta' => [
                                'title' => '货权状态',
                                'code' => 'permission_purchase_order_query_statistics',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['purchaseOrderGoodsStatisticsListSearchBar'],
                            'component' => 'purchase/order_query/statistics',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseStatisticsForm',
                            'path' => '/purchase/order_query/statistics',
                            'meta' => [
                                'title' => '提货单出库确认',
                                'code' => 'permission_purchase_order_query_statistics',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['purchaseOrderGoodsStatisticsListSearchBar'],
                            'component' => 'purchase/order_query/statistics',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'purchaseStatisticsForm',
                            'path' => '/purchase/order_query/statistics',
                            'meta' => [
                                'title' => '提货单核销',
                                'code' => 'permission_purchase_order_query_statistics',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['purchaseOrderGoodsStatisticsListSearchBar'],
                            'component' => 'purchase/order_query/statistics',
                            'children' => [
                            ],
                        ],
                    ],
                ],
            ],
        ],
        [
            'name' => 'stock',
            'path' => '/stock',
            'meta' => [
                'title' => '库存',
                'code' => 'permission_stock',
                'icon' => 'sc-icon-stock',
                'type' => 'menu',
            ],
            'actions' => [],
            'children' => [
                [
                    'name' => 'stockOrder',
                    'path' => '/stock/order',
                    'meta' => [
                        'title' => '库存单据',
                        'code' => 'permission_stock_order',
                        'icon' => 'sc-icon-stock',
                        'type' => 'menu',
                    ],
                    'actions' => ['stockOrderList', 'detailOrder', 'stockOrderSearchBar', 'stockGoodsSummaryList', 'stockSummarySearchBar',
                        'stockGoodsList', 'listStockGoods', 'stockGoodsListSearchBar', 'getCategory'],
                    'children' => [
                        [
                            'name' => 'inbound',
                            'path' => '/stock/order/inbound',
                            'meta' => [
                                'title' => '新增入库单',
                                'code' => 'permission_stock_order_inbound',
                                'icon' => 'sc-icon-stock',
                                'type' => 'menu',
                            ],
                            'actions' => [],
                            'component' => 'stock/order/inbound',
                            'children' => [],
                        ],
                    ],
                ],
                [
                    'name' => 'stockQuery',
                    'path' => '/stock/query',
                    'meta' => [
                        'title' => '仓库库存查询',
                        'code' => 'permission_stock_query',
                        'icon' => 'sc-icon-stock',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'stockOtherForm',
                            'path' => '/stock/query/other',
                            'meta' => [
                                'title' => '仓库入库单查询',
                                'code' => 'permission_stock_query_other',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'stock/query/other',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'stockListForm',
                            'path' => '/stock/query/details',
                            'meta' => [
                                'title' => '入库明细列表',
                                'code' => 'permission_stock_query_detail',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['listGoodsInOutRecord', 'goodsInOutRecordSearchBar', 'scanGoodsCodeShowDetail', 'stockGoodsInOutCategory'],
                            'component' => 'stock/query',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'stockListForm',
                            'path' => '/stock/query/details',
                            'meta' => [
                                'title' => '明细库存',
                                'code' => 'permission_stock_query_detail',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['listGoodsInOutRecord', 'goodsInOutRecordSearchBar', 'scanGoodsCodeShowDetail', 'stockGoodsInOutCategory'],
                            'component' => 'stock/query',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'stockListForm',
                            'path' => '/stock/query/details',
                            'meta' => [
                                'title' => '汇总库存',
                                'code' => 'permission_stock_query_detail',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['listGoodsInOutRecord', 'goodsInOutRecordSearchBar', 'scanGoodsCodeShowDetail', 'stockGoodsInOutCategory'],
                            'component' => 'stock/query',
                            'children' => [
                            ],
                        ],
                    ],
                ],
                [
                    'name' => 'stockQuery',
                    'path' => '/stock/query',
                    'meta' => [
                        'title' => '质押库存查询',
                        'code' => 'permission_stock_query',
                        'icon' => 'sc-icon-stock',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'stockOtherForm',
                            'path' => '/stock/query/other',
                            'meta' => [
                                'title' => '质押库存明细',
                                'code' => 'permission_stock_query_other',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'stock/query/other',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'stockListForm',
                            'path' => '/stock/query/details',
                            'meta' => [
                                'title' => '质押库存汇总',
                                'code' => 'permission_stock_query_detail',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => ['listGoodsInOutRecord', 'goodsInOutRecordSearchBar', 'scanGoodsCodeShowDetail', 'stockGoodsInOutCategory'],
                            'component' => 'stock/query',
                            'children' => [
                            ],
                        ],
                    ],
                ],
            ],
        ],
        [
            'name' => 'finance',
            'path' => '/finance',
            'meta' => [
                'title' => '金融',
                'code' => 'permission_finance_mag',
                'icon' => 'sc-icon-finance-mag',
                'type' => 'menu',
            ],
            'actions' => [],
            'component' => 'finance',
            'children' => [
                [
                    'name' => 'query',
                    'path' => '/finance/query',
                    'meta' => [
                        'title' => '单据查询',
                        'code' => 'permission_finance_query',
                        'icon' => 'sc-icon-finance-mag',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'component' => 'finance',
                    'children' => [
                        [
                            'name' => 'costQuery',
                            'path' => '/finance/query/cost_query',
                            'meta' => [
                                'title' => '融资管理',
                                'code' => 'permission_finance_query_cost_query',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/cost_query',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'financeInOutQueryForm',
                            'path' => '/finance/query/in_out_cost_query',
                            'meta' => [
                                'title' => '赎货管理',
                                'code' => 'permission_finance_query_inOutCost',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/inOutCost',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'financeSettlementPaymentRecord',
                            'path' => '/finance/query/payment/record',
                            'meta' => [
                                'title' => '收/付款',
                                'code' => 'permission_finance_settlement_record',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/query/payment/record',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'financePartnerCostListForm',
                            'path' => '/finance/query/partner_cost_list',
                            'meta' => [
                                'title' => '往来单位应收应付',
                                'code' => 'permission_finance_query_partner_cost_list',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [
                                'financePartnerSettlementSearchBar', 'partnerSettlementList',
                            ],
                            'component' => 'finance/partnerCostList',
                            'children' => [],
                        ],
                        [
                            'name' => 'financeReconciliationRecordForm',
                            'path' => '/finance/query/reconciliation/record',
                            'meta' => [
                                'title' => '财务对账',
                                'code' => 'permission_finance_query_reconciliation',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/reconciliationRecord',
                            'children' => [],
                        ],
                    ],
                ],
                [
                    'name' => 'invoiceManage',
                    'path' => '/finance/invoice/manage',
                    'meta' => [
                        'title' => '发票管理',
                        'code' => 'permission_finance_invoice_manage',
                        'icon' => 'sc-icon-finance-mag',
                        'type' => 'menu',
                    ],
                    'actions' => ['generateDocumentNumber', 'invoiceInList', 'mbReadInvoiceOCR', 'mbInvoiceDetail'],
                    'component' => '/finance/manage',
                    'children' => [
                        [
                            'name' => 'invoiceBill',
                            'path' => '/finance/invoice/manage/bill',
                            'meta' => [
                                'title' => '发票单据',
                                'code' => 'permission_finance_invoice_manage_bill',
                                'icon' => 'sc-icon-finance-mag',
                                'type' => 'menu',
                            ],
                            'actions' => [],
                            'component' => 'finance/manage/invoice/bill',
                            'children' => [],
                        ],
                        [
                            'name' => 'invoiceIncomeList',
                            'path' => '/finance/invoice/manage/income',
                            'meta' => [
                                'title' => '发票进项列表',
                                'code' => 'permission_finance_invoice_income_list',
                                'icon' => 'sc-icon-finance-mag',
                                'type' => 'menu',
                            ],
                            'actions' => ['invoiceList', 'invoiceSearchBar'],
                            'component' => 'finance/manage/invoice/income',
                            'children' => [],
                        ],
                    ],
                ],
            ],
        ],
        [
            'name' => 'finance',
            'path' => '/finance',
            'meta' => [
                'title' => '货权',
                'code' => 'permission_finance_mag',
                'icon' => 'sc-icon-finance-mag',
                'type' => 'menu',
            ],
            'actions' => [],
            'component' => 'finance',
            'children' => [
                [
                    'name' => 'order',
                    'path' => '/finance/order',
                    'meta' => [
                        'title' => '货权单据',
                        'code' => 'permission_finance_order',
                        'icon' => 'sc-icon-finance-mag',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'component' => 'finance',
                    'children' => [
                        [
                            'name' => 'receive',
                            'path' => '/finance/order/receive',
                            'meta' => [
                                'title' => '创建货权规则',
                                'code' => 'permission_finance_order_receive',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/receive',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'receive',
                            'path' => '/finance/order/receive',
                            'meta' => [
                                'title' => '创建监管变更单',
                                'code' => 'permission_finance_order_receive',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/receive',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'receive',
                            'path' => '/finance/order/receive',
                            'meta' => [
                                'title' => '创建货权变更单',
                                'code' => 'permission_finance_order_receive',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/receive',
                            'children' => [
                            ],
                        ]
                    ],
                ],
                [
                    'name' => 'query',
                    'path' => '/finance/query',
                    'meta' => [
                        'title' => '单据查询',
                        'code' => 'permission_finance_query',
                        'icon' => 'sc-icon-finance-mag',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'component' => 'finance',
                    'children' => [
                        [
                            'name' => 'costQuery',
                            'path' => '/finance/query/cost_query',
                            'meta' => [
                                'title' => '控货规则列表',
                                'code' => 'permission_finance_query_cost_query',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/cost_query',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'financeInOutQueryForm',
                            'path' => '/finance/query/in_out_cost_query',
                            'meta' => [
                                'title' => '监管变更',
                                'code' => 'permission_finance_query_inOutCost',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/inOutCost',
                            'children' => [
                            ],
                        ],
                        [
                            'name' => 'financeSettlementPaymentRecord',
                            'path' => '/finance/query/payment/record',
                            'meta' => [
                                'title' => '货权变更',
                                'code' => 'permission_finance_settlement_record',
                                'icon' => 'sc-icon-order-list',
                            ],
                            'actions' => [],
                            'component' => 'finance/query/payment/record',
                            'children' => [
                            ],
                        ],
                    ],
                ],
            ],
        ],
        [
            'name' => 'information',
            'path' => '/information',
            'meta' => [
                'title' => '资料',
                'code' => 'permission_information',
                'icon' => 'sc-icon-information',
                'type' => 'menu',
            ],
            'actions' => [],
            'children' => [
                [
                    'name' => 'partners',
                    'path' => '/information/partners',
                    'meta' => [
                        'title' => '三维立体库',
                        'code' => 'permission_partners',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'partners',
                            'path' => '/information/partners',
                            'meta' => [
                                'title' => '管理仓库',
                                'code' => 'permission_partners_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/partners',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/information/partners/add-partners',
                                    'name' => 'add-partners',
                                    'meta' => [
                                        'title' => '添加仓库',
                                        'code' => 'permission_partners_add',
                                        'icon' => 'sc-icon-function-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_partners_add'],
                                    'component' => 'information/partners/add-partners',
                                ],
                            ],
                        ],
                    ],
                ],
                [
                    'name' => 'stockManage',
                    'path' => '/information/stock',
                    'meta' => [
                        'title' => '商品管理',
                        'code' => 'permission_information_stock',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'warehouse',
                            'path' => '/information/warehouse',
                            'meta' => [
                                'title' => '新增商品',
                                'code' => 'permission_warehouse_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/warehouse',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/information/warehouse/add-warehouse',
                                    'name' => 'add-warehouse',
                                    'meta' => [
                                        'title' => '添加品名',
                                        'code' => 'permission_warehouse_add',
                                        'icon' => 'sc-icon-function-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_warehouse_add'],
                                    'component' => 'information/warehouse/add-warehouse',
                                ],
                            ],
                        ],
                        [
                            'name' => 'warehouse',
                            'path' => '/information/warehouse',
                            'meta' => [
                                'title' => '入库公式',
                                'code' => 'permission_warehouse_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/warehouse',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/information/warehouse/add-warehouse',
                                    'name' => 'add-warehouse',
                                    'meta' => [
                                        'title' => '新增公式',
                                        'code' => 'permission_warehouse_add',
                                        'icon' => 'sc-icon-function-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_warehouse_add'],
                                    'component' => 'information/warehouse/add-warehouse',
                                ],
                            ],
                        ],
                    ],
                ],
                [
                    'name' => 'financeManage',
                    'path' => '/information/finance',
                    'meta' => [
                        'title' => '单据配置',
                        'code' => 'permission_finance',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'costItem',
                            'path' => '/information/cost_item',
                            'meta' => [
                                'title' => '提货单属性配置',
                                'code' => 'permission_costItem_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/costItem',
                        ],
                        [
                            'name' => 'bankInfo',
                            'path' => '/information/bank_info',
                            'meta' => [
                                'title' => '附加服务费配置',
                                'code' => 'permission_bank_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/bankInfo',
                        ],
                        [
                            'name' => 'bankInfo',
                            'path' => '/information/bank_info',
                            'meta' => [
                                'title' => '提货单打印配置',
                                'code' => 'permission_bank_info',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/bankInfo',
                        ]
                    ],
                ],
                [
                    'name' => 'contract',
                    'path' => '/information/contract',
                    'meta' => [
                        'title' => '金融配置',
                        'code' => 'permission_contract',
                        'icon' => 'sc-icon-order',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'templateItem',
                            'path' => '/information/template/item',
                            'meta' => [
                                'title' => '新增模板',
                                'code' => 'permission_template_item',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/template/item',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/information/template/item/add',
                                    'name' => 'add-template',
                                    'meta' => [
                                        'title' => '创建合同模版',
                                        'code' => 'permission_template_item_add',
                                        'icon' => 'sc-icon-function-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => [],
                                    'component' => 'information/template/item/add',
                                ],
                            ],
                        ],
                        [
                            'name' => 'templateManage',
                            'path' => '/information/template/manage',
                            'meta' => [
                                'title' => '模板管理',
                                'code' => 'permission_template_manage',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'information/template/manage',
                            'children' => [
                            ],
                        ],
                    ],
                ],
            ],
        ],
        [
            'name' => 'AI-Report',
            'path' => '/ai/report',
            'meta' => [
                'title' => '报表',
                'code' => 'permission_report',
                'icon' => 'sc-icon-product',
                'type' => 'menu',
            ],
            'actions' => [],
            'children' => [
                [
                    'name' => 'platform',
                    'path' => '/setting/platform',
                    'meta' => [
                        'title' => '采购/库存报表',
                        'code' => 'permission_setting_inv_report',
                        'icon' => 'sc-icon-system',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'aiPurchaseOrderAnalysis',
                            'path' => '/ai/purchase',
                            'meta' => [
                                'title' => '入库单分析',
                                'code' => 'permission_report_purchase_order_analysis',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'ai/purchase',
                        ],
                        [
                            'name' => 'aiStockAnalysis',
                            'path' => '/ai/stock',
                            'meta' => [
                                'title' => '库存分析',
                                'code' => 'permission_report_inventory_analysis',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'ai/stock',
                        ],
                    ]
                ], [
                    'name' => 'platform',
                    'path' => '/setting/platform',
                    'meta' => [
                        'title' => '财务报表',
                        'code' => 'permission_setting_fin_report',
                        'icon' => 'sc-icon-system',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'name' => 'aiReconciliation',
                            'path' => '/ai/reconciliation',
                            'meta' => [
                                'title' => '财务对账',
                                'code' => 'permission_report_finance_reconciliation',
                                'icon' => 'sc-icon-account-info',
                            ],
                            'actions' => [],
                            'component' => 'ai/reconciliation',
                        ],
                    ]
                ]
            ]
        ],
        [
            'name' => 'setting',
            'path' => '/setting',
            'meta' => [
                'title' => '系统',
                'code' => 'permission_setting_info',
                'icon' => 'sc-icon-system',
                'type' => 'menu',
            ],
            'actions' => [],
            'children' => [
                [
                    'name' => 'platform',
                    'path' => '/setting/platform',
                    'meta' => [
                        'title' => '平台管理',
                        'code' => 'permission_setting_platform',
                        'icon' => 'sc-icon-system',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'path' => '/setting/company',
                            'name' => 'company',
                            'meta' => [
                                'title' => '公司管理',
                                'code' => 'permission_company',
                                'icon' => 'sc-icon-company',
                            ],
                            'actions' => [],
                            'component' => 'setting/company',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/setting/company/add-permission',
                                    'name' => 'add-permission',
                                    'meta' => [
                                        'title' => '功能授权',
                                        'code' => 'permission_system_company_permission',
                                        'icon' => 'sc-icon-function-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_company_permission'],
                                    'component' => 'setting/company/add-permission',
                                ],
                                [
                                    'path' => '/setting/company/add-data-permission',
                                    'name' => 'add-data-permission',
                                    'meta' => [
                                        'title' => '数据授权',
                                        'code' => 'permission_system_data_permission',
                                        'icon' => 'sc-icon-function-data-add',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_data_permission'],
                                    'component' => 'setting/company/add-data-permission',
                                ],
                                [
                                    'path' => '/setting/user/company-user-list',
                                    'name' => 'company-user-permission',
                                    'meta' => [
                                        'title' => '用户列表',
                                        'code' => 'permission_system_user_list',
                                        'icon' => 'sc-icon-user-company-user-permission',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_user_as_list'],
                                    'component' => 'setting/user/company-user-list',
                                ],
                                [
                                    'path' => '/setting/log/company-logs',
                                    'name' => 'company-logs-permission',
                                    'meta' => [
                                        'title' => '操作日志',
                                        'code' => 'permission_system_company_logs_permission',
                                        'icon' => 'sc-icon-company-logs-permission',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_logs_permission'],
                                    'component' => 'setting/log/company-logs',
                                ],
                            ],
                        ],
                    ],
                ],
                [
                    'name' => 'permission_role',
                    'path' => '/setting/permission_role',
                    'meta' => [
                        'title' => '权限角色管理',
                        'code' => 'permission_setting_permission_role',
                        'icon' => 'sc-icon-system',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'path' => '/setting/user',
                            'name' => 'userMag',
                            'meta' => [
                                'title' => '用户管理',
                                'code' => 'permission_system_user',
                                'icon' => 'sc-icon-user-mag',
                            ],
                            'actions' => [
                                'userList', 'userListActive', 'userTypeList', 'userAuditStatusList', 'companyFieldList',
                                'deptListActive', 'updateDeptStatus', 'getDeptInfo', 'userInformation', 'listCompanyName',
                                'getUserRoles', 'getUserAssignRoles'
                            ],
                            'component' => 'setting/user',
                            'cancels_recursion' => true,
                            'children' => [
                                [
                                    'path' => '/setting/user/view-permission',
                                    'name' => 'repairInfo',
                                    'meta' => [
                                        'title' => '查看权限',
                                        'code' => 'permission_view_permission',
                                        'icon' => 'sc-icon-view-permission',
                                        'hidden' => true,
                                    ],
                                    'actions' => ['mark_view_permission'],
                                    'component' => 'setting/user/view-permission',
                                ],
                            ],
                        ],
                        [
                            'path' => '/setting/role',
                            'name' => 'role',
                            'meta' => [
                                'title' => '角色管理',
                                'code' => 'permission_system_role',
                                'icon' => 'sc-icon-role-mag',
                            ],
                            'actions' => ['rolesList', 'roleChecked', 'dataChecked', 'memberSelectList'],
                            'component' => 'setting/role',
                        ],
                        [
                            'path' => '/setting/dept',
                            'name' => 'dept',
                            'meta' => [
                                'title' => '部门管理',
                                'code' => 'permission_system_dept',
                                'icon' => 'sc-icon-role-mag',
                            ],
                            'actions' => ['deptList'],
                            'component' => 'setting/dept',
                        ],
                    ],
                ],
                [
                    'name' => 'system',
                    'path' => '/setting/system',
                    'meta' => [
                        'title' => '系统日志',
                        'code' => 'permission_setting_system_logger',
                        'icon' => 'sc-icon-system',
                        'type' => 'menu',
                    ],
                    'actions' => [],
                    'children' => [
                        [
                            'path' => '/setting/log',
                            'name' => 'log',
                            'meta' => [
                                'title' => '操作日志',
                                'code' => 'permission_system_log',
                                'icon' => 'sc-icon-system-log',
                            ],
                            'actions' => ['sysLogList', 'sysLogOperationList', 'sysLogOperationFieldList'],
                            'component' => 'setting/log',
                        ],
                    ],
                ],
            ],
        ],
    ],
    // 数据权限
    'data_permissions' => [
        'permission_goods_info' => [
            ['title' => '新增|修改商品', 'actions' => 'addGoods'],
            ['title' => '启用|禁用商品', 'actions' => 'goodsStatusChange'],
            ['title' => '新增品牌', 'actions' => 'addBrand'],
            ['title' => '更新品牌状态', 'actions' => 'updateBrandStatus'],
            ['title' => '删除品牌', 'actions' => 'deleteBrand'],
            ['title' => '导出商品', 'actions' => 'exportGoods'],
            ['title' => '批量打印', 'actions' => 'printBatchGoods'],
            ['title' => '删除商品', 'actions' => 'deleteGoods'],
            ['title' => '增加商品单位', 'actions' => 'addUnit'],
            ['title' => '增加商品单位组', 'actions' => 'addUnitGroup'],
        ],
    ],

// 跳过验证的权限路由(默认不受权限控制)
    'ignore_menu' => [
        'permission_home',
        'permission_controller',
        'permission_account_info',
    ],
];